### Enumeration

# Fwupd SelfSignFlags

unstable since: 2.0

#### Declaration

    flags Fwupd.SelfSignFlags

#### Description [src]

Flags to set when performing the firmware update or install.

Available since: 2.0

#### Members

`FWUPD_SELF_SIGN_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_SELF_SIGN_FLAG_ADD_TIMESTAMP`

  Add the timestamp to the detached signature.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_SELF_SIGN_FLAG_ADD_CERT`

  Add the certificate to the detached signature.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0